<template>
  <div>
    <PageHeader title="Dashboard" />
    <b-container class="home-container" fluid>
      <b-row>
        <b-col>
          <b-card class="subtle-shadow">
            <template v-slot:header>
              <b-link to="/issues/projects" class="expand-link float-right">Show All</b-link>
              <h4>Projects</h4>
            </template>
            <b-list-group>
              <b-list-group-item :to="{ name: 'IssuesProjectIssuesList', params: { identifier: project.identifier } }" class="flex-column align-items-start" v-for="project in projects" :key="project.id">
                <div class="d-flex w-100 justify-content-between">
                  <h5 class="mb-1">{{ project.name }}</h5>
                  <small>{{ project.identifier }}</small>
                </div>

                <p class="mb-1">
                  Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius blandit.
                </p>

                <small>{{ project.project_type }} project</small>
              </b-list-group-item>
            </b-list-group>
          </b-card>
        </b-col>
        <b-col>
          <b-card
            class="subtle-shadow"
          >
            <template v-slot:header>
              <b-link to="/issues/assigned" class="expand-link float-right">Show All</b-link>
              <h4>Assigned to me</h4>
            </template>
            <b-card-text>
              Some quick example text to build on the card title and make up the bulk of the card's content.
            </b-card-text>
          </b-card>
        </b-col>
        <b-col>
          <b-card
            class="subtle-shadow"
          >
            <template v-slot:header>
              <h4>Activity</h4>
            </template>
            <b-card-text>
              Some quick example text to build on the card title and make up the bulk of the card's content.
            </b-card-text>
          </b-card>
        </b-col>
      </b-row>
    </b-container>
  </div>
</template>

<script>
import { mapState } from 'vuex'
import PageHeader from '@/components/Layout/PageHeader'
export default {
  name: 'IssuesHome',
  components: {
    PageHeader
  },
  computed: mapState({
    projects: state => state.issues.projects.all
  }),
  created () {
    this.$store.dispatch('issues/projects/getAll');
  }
}
</script>

<style scoped lang="scss">
.home-container {
  padding: 20px 25px 25px 25px;

  h1 {
    margin-bottom: 1rem;
  }
}
.card-header {
  h4 {
    margin: 0;
  }
  .expand-link {
    line-height: 1.8rem;
  }
}
.card-body {
  padding: 0;

  .card-text {
    padding: 1.25rem;
  }
  .list-group-item {
    border: 0;
    border-bottom: 1px solid rgba(0, 0, 0, 0.125);

    &:last-child {
      border: 0;
    }
  }
}
</style>